%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: Providing a unified API for handling Atom/RSS
Name: php-pear-XML_Feed_Parser
Version: 1.0.5
Release: 1.ru6
License: LGPL
Group: Development/Libraries
Source0: http://pear.php.net/get/XML_Feed_Parser-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/XML_Feed_Parser
BuildRequires: php-pear >= 1.4.7
Requires: php-pear >= 1.4.0b1 php-pear-log >= 1.12.7
BuildArch: noarch

%description
XML_Feed_Parser is a parser for (the various) RSS and Atom format XML
feeds. It attempts to provide a somewhat unified API while still allowing
access to the full details of each feed type.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_Feed_Parser.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_Feed_Parser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_Feed_Parser
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/XML_Feed_Parser.xml

%changelog
* Fri Mar 02 2012 Josh Matthews <jam761@nbcs.rutgers.edu> - 1.0.5-1.ru6
- First build for Centos6 at Rutgers. Using spec file generated by pear.
